English | Deutsch | Español | Português
 ID de Usuario:
 Contraseña:
Nuevo usuario
 Acerca de:   Dedicada | Avanzada | Estándar | Periódica | Sin Riesgo | Escritorio | Básica | Individual | Sello | FAQ
  Resumen de Precio/Funciones | Ordenar  | Nuevas Vulnerabilidades | Confidencialidad | Búsqueda de Vulnerabilidad
 Búsqueda de    
Vulnerabilidad   
    Buscar 150599 Descripciones CVE y
73533 Descripciones de Pruebas,
accesos 10,000+ referencias cruzadas.
Pruebas   CVE   Todos  

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

[slackware-security]  mysql (SSA:2006-155-01)

New mysql packages are available for Slackware 9.1, 10.0, 10.1,
10.2 and -current to fix security issues.


The MySQL packages shipped with Slackware 9.1, 10.0, and 10.1
may possibly leak sensitive information found in uninitialized
memory to authenticated users.  This is fixed in the new packages,
and was already patched in Slackware 10.2 and -current.
Since the vulnerabilities require a valid login and/or access to the
database server, the risk is moderate.  Slackware does not provide
network access to a MySQL database by default.

More details about the issues may be found in the Common
Vulnerabilities and Exposures (CVE) database.
Fixes that affect Slackware 9.1, 10.0, and 10.1:
  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1516
  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1517


The MySQL packages in Slackware 10.2 and -current have been
upgraded to MySQL 4.1.20 (Slackware 10.2) and MySQL 5.0.22
(Slackware -current) to fix an SQL injection vulnerability.

For more details, see the MySQL 4.1.20 release announcement here:
  http://lists.mysql.com/announce/364
And the MySQL 5.0.22 release announcement here:
  http://lists.mysql.com/announce/365
The CVE entry for this issue can be found here:
  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2753


Here are the details from the Slackware 10.1 ChangeLog:
+--------------------------+
patches/packages/mysql-4.0.27-i486-1_slack10.1.tgz:
  Upgraded to mysql-4.0.27.
  This fixes some minor security issues with possible information leakage.
  Note that the information leakage bugs require that the attacker have
  access to an account on the database.  Also note that by default,
  Slackware's rc.mysqld script does *not* allow access to the database
  through the outside network (it uses the --skip-networking option).
  If you've enabled network access to MySQL, it is a good idea to filter
  the port (3306) to prevent access from unauthorized machines.
  For more details, see the MySQL 4.0.27 release announcement here:
    http://lists.mysql.com/announce/359
  For more information, see:
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1516
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1517
  (* Security fix *)
+--------------------------+

Here are the details from the Slackware 10.2 ChangeLog:
+--------------------------+
patches/packages/mysql-4.1.20-i486-1_slack10.2.tgz:
  Upgraded to mysql-4.1.20.  This fixes an SQL injection vulnerability.
  For more details, see the MySQL 4.1.20 release announcement here:
    http://lists.mysql.com/announce/364
  The CVE entry for this issue will be found here:
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2753
+--------------------------+


Where to find the new packages:
+-----------------------------+

HINT:  Getting slow download speeds from ftp.slackware.com?
Give slackware.osuosl.org a try.  This is another primary FTP site
for Slackware that can be considerably faster than downloading
from ftp.slackware.com.

Thanks to the friendly folks at the OSU Open Source Lab
(http://osuosl.org) for donating additional FTP and rsync hosting
to the Slackware project!  :-)

Also see the "Get Slack" section on http://slackware.com for
additional mirror sites near you.

Updated package for Slackware 9.1:
ftp://ftp.slackware.com/pub/slackware/slackware-9.1/patches/packages/mysql-4.0.27-i486-1_slack9.1.tgz

Updated package for Slackware 10.0:
ftp://ftp.slackware.com/pub/slackware/slackware-10.0/patches/packages/mysql-4.0.27-i486-1_slack10.0.tgz

Updated package for Slackware 10.1:
ftp://ftp.slackware.com/pub/slackware/slackware-10.1/patches/packages/mysql-4.0.27-i486-1_slack10.1.tgz

Updated package for Slackware 10.2:
ftp://ftp.slackware.com/pub/slackware/slackware-10.2/patches/packages/mysql-4.1.20-i486-1_slack10.2.tgz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/ap/mysql-5.0.22-i486-1.tgz


MD5 signatures:
+-------------+

Slackware 9.1 package:
eea73f16715c07de52701b67f037e7ab  mysql-4.0.27-i486-1_slack9.1.tgz

Slackware 10.0 package:
6afab2cdd09adf4b4f822db6c74b167e  mysql-4.0.27-i486-1_slack10.0.tgz

Slackware 10.1 package:
cbe2044d3b75606de6f3796d607e7c0a  mysql-4.0.27-i486-1_slack10.1.tgz

Slackware 10.2 package:
249bc3f4610cbedf8b0a6fc64c28c53f  mysql-4.1.20-i486-1_slack10.2.tgz

Slackware -current package:
af1829c54b901bc01fcd269f27580b21  mysql-5.0.22-i486-1.tgz


Installation instructions:
+------------------------+

Upgrade the package as root:
# upgradepkg mysql-4.1.20-i486-1_slack10.2.tgz

Then, restart the database server:
# sh /etc/rc.d/rc.mysqld restart


+-----+

Slackware Linux Security Team
http://slackware.com/gpg-key
security@slackware.com

+------------------------------------------------------------------------+
| To leave the slackware-security mailing list:                          |
+------------------------------------------------------------------------+
| Send an email to majordomo@slackware.com with this text in the body of |
| the email message:                                                     |
|                                                                        |
|   unsubscribe slackware-security                                       |
|                                                                        |
| You will get a confirmation message back containing instructions to    |
| complete the process.  Please do not reply to this email address.      |
+------------------------------------------------------------------------+

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.7 (GNU/Linux)

iD8DBQFEg7NBakRjwEAQIjMRAg2hAKCVTmX/ZbCFZRNtdWoPxxNmr6FWZQCfXG7c
yLI2A94WHiSIhnB1jEx7SfA=
=11NE
-----END PGP SIGNATURE-----

Registro de Nuevo Usuario
Email:
Usuario:
Contraseña:
Envíeme por email sus boletines mensuales, informándome los últimos servicios, mejoras y encuestas.
Por favor envíeme por email un anuncio de prueba de vulnerabilidades siempre que se agregue una nueva prueba.
   Privacidad
Ingreso de Usuario Registrado
 
Usuario:   
Contraseña:  

 ¿Olvidó su usuario o contraseña??
Email/ID de Usario:




Principal | Acerca de Nosotros | Contáctenos | Programas de Asociado | Developer APIs | Privacidad | Listas de Correo | Abuso
Auditorías de Seguridad | DNS Administrado | Monitoreo de Red | Analizador de Sitio | Informes de Investigación de Internet
Prueba de Web

© 1998-2019 E-Soft Inc. Todos los derechos reservados.